'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var accounts = require('./accounts.cjs');
var Operation = require('../../types/Operation.cjs');

// -----------------
// Clients
// -----------------

/** @internal */
function _findNftByMetadataClient(metadata, options) {
  return this.metaplex.operations().getTask(findNftByMetadataOperation({
    metadata,
    ...options
  }));
} // -----------------
// Operation
// -----------------

const Key = 'FindNftByMetadataOperation';
const findNftByMetadataOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const findNftByMetadataOperationHandler = {
  handle: async (operation, metaplex, scope) => {
    const metadata = accounts.toMetadataAccount(await metaplex.rpc().getAccount(operation.input.metadata));
    scope.throwIfCanceled();
    return metaplex.nfts().findByMint(metadata.data.mint, operation.input).run(scope);
  }
};

exports._findNftByMetadataClient = _findNftByMetadataClient;
exports.findNftByMetadataOperation = findNftByMetadataOperation;
exports.findNftByMetadataOperationHandler = findNftByMetadataOperationHandler;
//# sourceMappingURL=findNftByMetadata.cjs.map
