'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../../_virtual/_rollupPluginBabelHelpers.cjs');
var approveTokenDelegateAuthority = require('./approveTokenDelegateAuthority.cjs');
var createMint = require('./createMint.cjs');
var createToken = require('./createToken.cjs');
var createTokenWithMint = require('./createTokenWithMint.cjs');
var freezeTokens = require('./freezeTokens.cjs');
var mintTokens = require('./mintTokens.cjs');
var revokeTokenDelegateAuthority = require('./revokeTokenDelegateAuthority.cjs');
var sendTokens = require('./sendTokens.cjs');
var thawTokens = require('./thawTokens.cjs');

class TokenBuildersClient {
  constructor(metaplex) {
    _rollupPluginBabelHelpers.defineProperty(this, "createMint", createMint._createMintBuildersClient);

    _rollupPluginBabelHelpers.defineProperty(this, "createToken", createToken._createTokenBuildersClient);

    _rollupPluginBabelHelpers.defineProperty(this, "createTokenIfMissing", createToken._createTokenIfMissingBuildersClient);

    _rollupPluginBabelHelpers.defineProperty(this, "createTokenWithMint", createTokenWithMint._createTokenWithMintBuildersClient);

    _rollupPluginBabelHelpers.defineProperty(this, "mint", mintTokens._mintTokensBuildersClient);

    _rollupPluginBabelHelpers.defineProperty(this, "send", sendTokens._sendTokensBuildersClient);

    _rollupPluginBabelHelpers.defineProperty(this, "freeze", freezeTokens._freezeTokensBuildersClient);

    _rollupPluginBabelHelpers.defineProperty(this, "thaw", thawTokens._thawTokensBuildersClient);

    _rollupPluginBabelHelpers.defineProperty(this, "approveDelegateAuthority", approveTokenDelegateAuthority._approveTokenDelegateAuthorityBuildersClient);

    _rollupPluginBabelHelpers.defineProperty(this, "revokeDelegateAuthority", revokeTokenDelegateAuthority._revokeTokenDelegateAuthorityBuildersClient);

    this.metaplex = metaplex;
  } // Create.


}

exports.TokenBuildersClient = TokenBuildersClient;
//# sourceMappingURL=TokenBuildersClient.cjs.map
