'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var accounts = require('./accounts.cjs');
var Mint = require('./Mint.cjs');
var Operation = require('../../types/Operation.cjs');

// -----------------
// Clients
// -----------------

/** @internal */
function _findMintByAddressClient(address, options) {
  return this.metaplex.operations().getTask(findMintByAddressOperation({
    address,
    ...options
  }));
} // -----------------
// Operation
// -----------------

const Key = 'FindMintByAddressOperation';
const findMintByAddressOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const findMintByAddressOperationHandler = {
  handle: async (operation, metaplex) => {
    const {
      address,
      commitment
    } = operation.input;
    const account = accounts.toMintAccount(await metaplex.rpc().getAccount(address, commitment));
    return Mint.toMint(account);
  }
};

exports._findMintByAddressClient = _findMintByAddressClient;
exports.findMintByAddressOperation = findMintByAddressOperation;
exports.findMintByAddressOperationHandler = findMintByAddressOperationHandler;
//# sourceMappingURL=findMintByAddress.cjs.map
