'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var accounts = require('./accounts.cjs');
var Token = require('./Token.cjs');
var Operation = require('../../types/Operation.cjs');

// -----------------
// Clients
// -----------------

/** @internal */
function _findTokenByAddressClient(address, options) {
  return this.metaplex.operations().getTask(findTokenByAddressOperation({
    address,
    ...options
  }));
} // -----------------
// Operation
// -----------------

const Key = 'FindTokenByAddressOperation';
const findTokenByAddressOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const findTokenByAddressOperationHandler = {
  handle: async (operation, metaplex) => {
    const {
      address,
      commitment
    } = operation.input;
    const account = accounts.toTokenAccount(await metaplex.rpc().getAccount(address, commitment));
    return Token.toToken(account);
  }
};

exports._findTokenByAddressClient = _findTokenByAddressClient;
exports.findTokenByAddressOperation = findTokenByAddressOperation;
exports.findTokenByAddressOperationHandler = findTokenByAddressOperationHandler;
//# sourceMappingURL=findTokenByAddress.cjs.map
