import { toSft, isSftWithToken, toSftWithToken } from './Sft.mjs';
import assert from '../../utils/assert.mjs';

const isNft = value => typeof value === 'object' && value.model === 'nft';
function assertNft(value) {
  assert(isNft(value), `Expected Nft model`);
}
const toNft = (metadata, mint, edition) => ({ ...toSft(metadata, mint),
  model: 'nft',
  edition
});
const isNftWithToken = value => isNft(value) && 'token' in value;
function assertNftWithToken(value) {
  assert(isNftWithToken(value), `Expected Nft model with token`);
}
function assertNftOrSftWithToken(value) {
  assert(isNftWithToken(value) || isSftWithToken(value), `Expected Nft or Sft model with token`);
}
const toNftWithToken = (metadata, mint, edition, token) => ({ ...toSftWithToken(metadata, mint, token),
  model: 'nft',
  edition
});

export { assertNft, assertNftOrSftWithToken, assertNftWithToken, isNft, isNftWithToken, toNft, toNftWithToken };
//# sourceMappingURL=Nft.mjs.map
