import { toMetadataAccount } from './accounts.mjs';
import { useOperation } from '../../types/Operation.mjs';

// -----------------
// Clients
// -----------------

/** @internal */
function _findNftByMetadataClient(metadata, options) {
  return this.metaplex.operations().getTask(findNftByMetadataOperation({
    metadata,
    ...options
  }));
} // -----------------
// Operation
// -----------------

const Key = 'FindNftByMetadataOperation';
const findNftByMetadataOperation = useOperation(Key);
// -----------------
// Handler
// -----------------
const findNftByMetadataOperationHandler = {
  handle: async (operation, metaplex, scope) => {
    const metadata = toMetadataAccount(await metaplex.rpc().getAccount(operation.input.metadata));
    scope.throwIfCanceled();
    return metaplex.nfts().findByMint(metadata.data.mint, operation.input).run(scope);
  }
};

export { _findNftByMetadataClient, findNftByMetadataOperation, findNftByMetadataOperationHandler };
//# sourceMappingURL=findNftByMetadata.mjs.map
