import { defineProperty as _defineProperty } from '../../_virtual/_rollupPluginBabelHelpers.mjs';
import { _approveTokenDelegateAuthorityBuildersClient } from './approveTokenDelegateAuthority.mjs';
import { _createMintBuildersClient } from './createMint.mjs';
import { _createTokenBuildersClient, _createTokenIfMissingBuildersClient } from './createToken.mjs';
import { _createTokenWithMintBuildersClient } from './createTokenWithMint.mjs';
import { _freezeTokensBuildersClient } from './freezeTokens.mjs';
import { _mintTokensBuildersClient } from './mintTokens.mjs';
import { _revokeTokenDelegateAuthorityBuildersClient } from './revokeTokenDelegateAuthority.mjs';
import { _sendTokensBuildersClient } from './sendTokens.mjs';
import { _thawTokensBuildersClient } from './thawTokens.mjs';

class TokenBuildersClient {
  constructor(metaplex) {
    _defineProperty(this, "createMint", _createMintBuildersClient);

    _defineProperty(this, "createToken", _createTokenBuildersClient);

    _defineProperty(this, "createTokenIfMissing", _createTokenIfMissingBuildersClient);

    _defineProperty(this, "createTokenWithMint", _createTokenWithMintBuildersClient);

    _defineProperty(this, "mint", _mintTokensBuildersClient);

    _defineProperty(this, "send", _sendTokensBuildersClient);

    _defineProperty(this, "freeze", _freezeTokensBuildersClient);

    _defineProperty(this, "thaw", _thawTokensBuildersClient);

    _defineProperty(this, "approveDelegateAuthority", _approveTokenDelegateAuthorityBuildersClient);

    _defineProperty(this, "revokeDelegateAuthority", _revokeTokenDelegateAuthorityBuildersClient);

    this.metaplex = metaplex;
  } // Create.


}

export { TokenBuildersClient };
//# sourceMappingURL=TokenBuildersClient.mjs.map
