import { toMintAccount } from './accounts.mjs';
import { toMint } from './Mint.mjs';
import { useOperation } from '../../types/Operation.mjs';

// -----------------
// Clients
// -----------------

/** @internal */
function _findMintByAddressClient(address, options) {
  return this.metaplex.operations().getTask(findMintByAddressOperation({
    address,
    ...options
  }));
} // -----------------
// Operation
// -----------------

const Key = 'FindMintByAddressOperation';
const findMintByAddressOperation = useOperation(Key);
// -----------------
// Handler
// -----------------
const findMintByAddressOperationHandler = {
  handle: async (operation, metaplex) => {
    const {
      address,
      commitment
    } = operation.input;
    const account = toMintAccount(await metaplex.rpc().getAccount(address, commitment));
    return toMint(account);
  }
};

export { _findMintByAddressClient, findMintByAddressOperation, findMintByAddressOperationHandler };
//# sourceMappingURL=findMintByAddress.mjs.map
