import { toTokenAccount } from './accounts.mjs';
import { toToken } from './Token.mjs';
import { useOperation } from '../../types/Operation.mjs';

// -----------------
// Clients
// -----------------

/** @internal */
function _findTokenByAddressClient(address, options) {
  return this.metaplex.operations().getTask(findTokenByAddressOperation({
    address,
    ...options
  }));
} // -----------------
// Operation
// -----------------

const Key = 'FindTokenByAddressOperation';
const findTokenByAddressOperation = useOperation(Key);
// -----------------
// Handler
// -----------------
const findTokenByAddressOperationHandler = {
  handle: async (operation, metaplex) => {
    const {
      address,
      commitment
    } = operation.input;
    const account = toTokenAccount(await metaplex.rpc().getAccount(address, commitment));
    return toToken(account);
  }
};

export { _findTokenByAddressClient, findTokenByAddressOperation, findTokenByAddressOperationHandler };
//# sourceMappingURL=findTokenByAddress.mjs.map
