import { MetaplexError, MetaplexErrorInputWithoutSource, MetaplexErrorOptions } from './MetaplexError';
export declare class BundlrError extends MetaplexError {
    constructor(input: MetaplexErrorInputWithoutSource);
}
export declare class FailedToInitializeBundlrError extends BundlrError {
    constructor(options?: MetaplexErrorOptions);
}
export declare class FailedToConnectToBundlrAddressError extends BundlrError {
    constructor(address: string, options?: MetaplexErrorOptions);
}
export declare class AssetUploadFailedError extends BundlrError {
    constructor(status: number, options?: MetaplexErrorOptions);
}
export declare class BundlrWithdrawError extends BundlrError {
    constructor(status: number, options?: MetaplexErrorOptions);
}
