import { ConfirmOptions } from '@solana/web3.js';
import { TransactionBuilder } from '../../utils';
import { Operation, OperationHandler, Signer } from '../../types';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
import { AuctionHouse } from './AuctionHouse';
import { Bid } from './Bid';
declare const Key: "CancelBidOperation";
export declare const cancelBidOperation: import("../../types").OperationConstructor<CancelBidOperation, "CancelBidOperation", CancelBidInput, CancelBidOutput>;
export declare type CancelBidOperation = Operation<typeof Key, CancelBidInput, CancelBidOutput>;
export declare type CancelBidInput = {
    auctionHouse: AuctionHouse;
    auctioneerAuthority?: Signer;
    bid: Bid;
    confirmOptions?: ConfirmOptions;
};
export declare type CancelBidOutput = {
    response: SendAndConfirmTransactionResponse;
};
export declare const cancelBidOperationHandler: OperationHandler<CancelBidOperation>;
export declare type CancelBidBuilderParams = Omit<CancelBidInput, 'confirmOptions'> & {
    instructionKey?: string;
};
export declare type CancelBidBuilderContext = Omit<CancelBidOutput, 'response'>;
export declare const cancelBidBuilder: (params: CancelBidBuilderParams) => TransactionBuilder<CancelBidBuilderContext>;
export {};
