import { ConfirmOptions } from '@solana/web3.js';
import { TransactionBuilder } from '../../utils';
import { Operation, OperationHandler, Signer } from '../../types';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
import { AuctionHouse } from './AuctionHouse';
import { Listing } from './Listing';
declare const Key: "CancelListingOperation";
export declare const cancelListingOperation: import("../../types").OperationConstructor<CancelListingOperation, "CancelListingOperation", CancelListingInput, CancelListingOutput>;
export declare type CancelListingOperation = Operation<typeof Key, CancelListingInput, CancelListingOutput>;
export declare type CancelListingInput = {
    auctionHouse: AuctionHouse;
    auctioneerAuthority?: Signer;
    listing: Listing;
    confirmOptions?: ConfirmOptions;
};
export declare type CancelListingOutput = {
    response: SendAndConfirmTransactionResponse;
};
export declare const cancelListingOperationHandler: OperationHandler<CancelListingOperation>;
export declare type CancelListingBuilderParams = Omit<CancelListingInput, 'confirmOptions'> & {
    instructionKey?: string;
};
export declare type CancelListingBuilderContext = Omit<CancelListingOutput, 'response'>;
export declare const cancelListingBuilder: (params: CancelListingBuilderParams) => TransactionBuilder<CancelListingBuilderContext>;
export {};
