import type { Commitment } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { LazyListing, Listing } from './Listing';
declare const Key: "LoadListingOperation";
export declare const loadListingOperation: import("../../types").OperationConstructor<LoadListingOperation, "LoadListingOperation", LoadListingInput, Readonly<{
    model: "listing";
    lazy: false;
    auctionHouse: import("./AuctionHouse").AuctionHouse;
    asset: import("../nftModule").SftWithToken | import("../nftModule").NftWithToken;
    tradeStateAddress: import("../../types").Pda;
    sellerAddress: import("@solana/web3.js").PublicKey;
    bookkeeperAddress: import("../../utils").Option<import("@solana/web3.js").PublicKey>;
    receiptAddress: import("../../utils").Option<import("../../types").Pda>;
    purchaseReceiptAddress: import("../../utils").Option<import("@solana/web3.js").PublicKey>;
    price: import("../../types").SplTokenAmount | import("../../types").SolAmount;
    tokens: import("../../types").SplTokenAmount;
    createdAt: import("../../types").DateTime;
    canceledAt: import("../../utils").Option<import("../../types").DateTime>;
}>>;
export declare type LoadListingOperation = Operation<typeof Key, LoadListingInput, Listing>;
export declare type LoadListingInput = {
    lazyListing: LazyListing;
    loadJsonMetadata?: boolean;
    commitment?: Commitment;
};
export declare const loadListingOperationHandler: OperationHandler<LoadListingOperation>;
export {};
