import { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { Metadata, Nft } from '../nftModule';
declare const Key: "FindMintedNftsByCandyMachineOperation";
export declare const findMintedNftsByCandyMachineOperation: import("../../types").OperationConstructor<FindMintedNftsByCandyMachineOperation, "FindMintedNftsByCandyMachineOperation", FindMintedNftsByCandyMachineInput, FindMintedNftsByCandyMachineOutput>;
export declare type FindMintedNftsByCandyMachineOperation = Operation<typeof Key, FindMintedNftsByCandyMachineInput, FindMintedNftsByCandyMachineOutput>;
export declare type FindMintedNftsByCandyMachineInput = {
    candyMachine: PublicKey;
    version?: 1 | 2;
    commitment?: Commitment;
};
export declare type FindMintedNftsByCandyMachineOutput = (Metadata | Nft)[];
export declare const findMintedNftsByCandyMachineOperationHandler: OperationHandler<FindMintedNftsByCandyMachineOperation>;
export {};
