import type { PublicKey } from '@solana/web3.js';
import { Pda } from '../../types';
import type { Metadata } from './Metadata';
import type { Mint, Token } from '../tokenModule';
export declare type Sft = Omit<Metadata, 'model' | 'address' | 'mintAddress'> & Readonly<{
    model: 'sft';
    address: PublicKey;
    metadataAddress: Pda;
    mint: Mint;
}>;
export declare const isSft: (value: any) => value is Sft;
export declare function assertSft(value: any): asserts value is Sft;
export declare const toSft: (metadata: Metadata, mint: Mint) => Sft;
export declare type SftWithToken = Sft & {
    token: Token;
};
export declare const isSftWithToken: (value: any) => value is SftWithToken;
export declare function assertSftWithToken(value: any): asserts value is SftWithToken;
export declare const toSftWithToken: (metadata: Metadata, mint: Mint, token: Token) => SftWithToken;
