import { Metaplex } from '../../Metaplex';
import { Operation, OperationHandler, Signer } from '../../types';
import { TransactionBuilder } from '../../utils';
import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
declare const Key: "DeleteNftOperation";
export declare const deleteNftOperation: import("../../types").OperationConstructor<DeleteNftOperation, "DeleteNftOperation", DeleteNftInput, DeleteNftOutput>;
export declare type DeleteNftOperation = Operation<typeof Key, DeleteNftInput, DeleteNftOutput>;
export interface DeleteNftInput {
    mintAddress: PublicKey;
    owner?: Signer;
    ownerTokenAccount?: PublicKey;
    collection?: PublicKey;
    tokenProgram?: PublicKey;
    confirmOptions?: ConfirmOptions;
}
export interface DeleteNftOutput {
    response: SendAndConfirmTransactionResponse;
}
export declare const deleteNftOperationHandler: OperationHandler<DeleteNftOperation>;
export declare type DeleteNftBuilderParams = Omit<DeleteNftInput, 'confirmOptions'> & {
    instructionKey?: string;
};
export declare const deleteNftBuilder: (metaplex: Metaplex, params: DeleteNftBuilderParams) => TransactionBuilder;
export {};
