import { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { Nft, NftWithToken } from './Nft';
import { Sft, SftWithToken } from './Sft';
declare const Key: "FindNftByMetadataOperation";
export declare const findNftByMetadataOperation: import("../../types").OperationConstructor<FindNftByMetadataOperation, "FindNftByMetadataOperation", FindNftByMetadataInput, Sft | SftWithToken | Nft | NftWithToken>;
export declare type FindNftByMetadataOperation = Operation<typeof Key, FindNftByMetadataInput, FindNftByMetadataOutput>;
export declare type FindNftByMetadataInput = {
    metadata: PublicKey;
    tokenAddress?: PublicKey;
    tokenOwner?: PublicKey;
    loadJsonMetadata?: boolean;
    commitment?: Commitment;
};
export declare type FindNftByMetadataOutput = Nft | Sft | NftWithToken | SftWithToken;
export declare const findNftByMetadataOperationHandler: OperationHandler<FindNftByMetadataOperation>;
export {};
