import { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { Nft, NftWithToken } from './Nft';
import { Sft, SftWithToken } from './Sft';
declare const Key: "FindNftByMintOperation";
export declare const findNftByMintOperation: import("../../types").OperationConstructor<FindNftByMintOperation, "FindNftByMintOperation", FindNftByMintInput, Sft | SftWithToken | Nft | NftWithToken>;
export declare type FindNftByMintOperation = Operation<typeof Key, FindNftByMintInput, FindNftByMintOutput>;
export declare type FindNftByMintInput = {
    mint: PublicKey;
    tokenAddress?: PublicKey;
    tokenOwner?: PublicKey;
    loadJsonMetadata?: boolean;
    commitment?: Commitment;
};
export declare type FindNftByMintOutput = Nft | Sft | NftWithToken | SftWithToken;
export declare const findNftByMintOperationHandler: OperationHandler<FindNftByMintOperation>;
export {};
