import { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { NftWithToken } from './Nft';
import { SftWithToken } from './Sft';
declare const Key: "FindNftByTokenOperation";
export declare const findNftByTokenOperation: import("../../types").OperationConstructor<FindNftByTokenOperation, "FindNftByTokenOperation", FindNftByTokenInput, SftWithToken | NftWithToken>;
export declare type FindNftByTokenOperation = Operation<typeof Key, FindNftByTokenInput, FindNftByTokenOutput>;
export declare type FindNftByTokenInput = {
    token: PublicKey;
    loadJsonMetadata?: boolean;
    commitment?: Commitment;
};
export declare type FindNftByTokenOutput = NftWithToken | SftWithToken;
export declare const findNftByTokenOperationHandler: OperationHandler<FindNftByTokenOperation>;
export {};
