import { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { Nft } from './Nft';
import { Metadata } from './Metadata';
import { Sft } from './Sft';
declare const Key: "FindNftsByCreatorOperation";
export declare const findNftsByCreatorOperation: import("../../types").OperationConstructor<FindNftsByCreatorOperation, "FindNftsByCreatorOperation", FindNftsByCreatorInput, FindNftsByCreatorOutput>;
export declare type FindNftsByCreatorOperation = Operation<typeof Key, FindNftsByCreatorInput, FindNftsByCreatorOutput>;
export declare type FindNftsByCreatorInput = {
    creator: PublicKey;
    position?: number;
    commitment?: Commitment;
};
export declare type FindNftsByCreatorOutput = (Metadata | Nft | Sft)[];
export declare const findNftsByCreatorOperationHandler: OperationHandler<FindNftsByCreatorOperation>;
export {};
