import { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { Nft } from './Nft';
import { Metadata } from './Metadata';
import { Sft } from './Sft';
declare const Key: "FindNftsByMintListOperation";
export declare const findNftsByMintListOperation: import("../../types").OperationConstructor<FindNftsByMintListOperation, "FindNftsByMintListOperation", FindNftsByMintListInput, FindNftsByMintListOutput>;
export declare type FindNftsByMintListOperation = Operation<typeof Key, FindNftsByMintListInput, FindNftsByMintListOutput>;
export declare type FindNftsByMintListInput = {
    mints: PublicKey[];
    commitment?: Commitment;
};
export declare type FindNftsByMintListOutput = (Metadata | Nft | Sft | null)[];
export declare const findNftsByMintListOperationHandler: OperationHandler<FindNftsByMintListOperation>;
export {};
