import { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { Nft } from './Nft';
import { Metadata } from './Metadata';
import { Sft } from './Sft';
declare const Key: "FindNftsByOwnerOperation";
export declare const findNftsByOwnerOperation: import("../../types").OperationConstructor<FindNftsByOwnerOperation, "FindNftsByOwnerOperation", FindNftsByOwnerInput, FindNftsByOwnerOutput>;
export declare type FindNftsByOwnerOperation = Operation<typeof Key, FindNftsByOwnerInput, FindNftsByOwnerOutput>;
export declare type FindNftsByOwnerInput = {
    owner: PublicKey;
    commitment?: Commitment;
};
export declare type FindNftsByOwnerOutput = (Metadata | Nft | Sft)[];
export declare const findNftsByOwnerOperationHandler: OperationHandler<FindNftsByOwnerOperation>;
export {};
