import { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { Nft } from './Nft';
import { Metadata } from './Metadata';
import { Sft } from './Sft';
declare const Key: "FindNftsByUpdateAuthorityOperation";
export declare const findNftsByUpdateAuthorityOperation: import("../../types").OperationConstructor<FindNftsByUpdateAuthorityOperation, "FindNftsByUpdateAuthorityOperation", FindNftsByUpdateAuthorityInput, FindNftsByUpdateAuthorityOutput>;
export declare type FindNftsByUpdateAuthorityOperation = Operation<typeof Key, FindNftsByUpdateAuthorityInput, FindNftsByUpdateAuthorityOutput>;
export interface FindNftsByUpdateAuthorityInput {
    updateAuthority: PublicKey;
    commitment?: Commitment;
}
export declare type FindNftsByUpdateAuthorityOutput = (Metadata | Nft | Sft)[];
export declare const findNftsByUpdateAuthorityOperationHandler: OperationHandler<FindNftsByUpdateAuthorityOperation>;
export {};
