import type { Metaplex } from '../../Metaplex';
import { Operation, OperationHandler, Signer } from '../../types';
import { TransactionBuilder } from '../../utils';
import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
declare const Key: "FreezeDelegatedNftOperation";
export declare const freezeDelegatedNftOperation: import("../../types").OperationConstructor<FreezeDelegatedNftOperation, "FreezeDelegatedNftOperation", FreezeDelegatedNftInput, FreezeDelegatedNftOutput>;
export declare type FreezeDelegatedNftOperation = Operation<typeof Key, FreezeDelegatedNftInput, FreezeDelegatedNftOutput>;
export declare type FreezeDelegatedNftInput = {
    mintAddress: PublicKey;
    delegateAuthority: Signer;
    tokenOwner?: PublicKey;
    tokenAddress?: PublicKey;
    tokenProgram?: PublicKey;
    confirmOptions?: ConfirmOptions;
};
export declare type FreezeDelegatedNftOutput = {
    response: SendAndConfirmTransactionResponse;
};
export declare const freezeDelegatedNftOperationHandler: OperationHandler<FreezeDelegatedNftOperation>;
export declare type FreezeDelegatedNftBuilderParams = Omit<FreezeDelegatedNftInput, 'confirmOptions'> & {
    instructionKey?: string;
};
export declare const freezeDelegatedNftBuilder: (metaplex: Metaplex, params: FreezeDelegatedNftBuilderParams) => TransactionBuilder;
export {};
