import { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from '../../types';
import { Metadata } from './Metadata';
import { Nft, NftWithToken } from './Nft';
import { Sft, SftWithToken } from './Sft';
declare const Key: "LoadMetadataOperation";
export declare const loadMetadataOperation: import("../../types").OperationConstructor<LoadMetadataOperation, "LoadMetadataOperation", LoadMetadataInput, Sft | SftWithToken | Nft | NftWithToken>;
export declare type LoadMetadataOperation = Operation<typeof Key, LoadMetadataInput, LoadMetadataOutput>;
export declare type LoadMetadataInput = {
    metadata: Metadata;
    tokenAddress?: PublicKey;
    tokenOwner?: PublicKey;
    loadJsonMetadata?: boolean;
    commitment?: Commitment;
};
export declare type LoadMetadataOutput = Nft | Sft | NftWithToken | SftWithToken;
export declare const loadMetadataOperationHandler: OperationHandler<LoadMetadataOperation>;
export {};
