import type { Metaplex } from '../../Metaplex';
import { Operation, OperationHandler, Signer } from '../../types';
import { TransactionBuilder } from '../../utils';
import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
declare const Key: "ThawDelegatedNftOperation";
export declare const thawDelegatedNftOperation: import("../../types").OperationConstructor<ThawDelegatedNftOperation, "ThawDelegatedNftOperation", ThawDelegatedNftInput, ThawDelegatedNftOutput>;
export declare type ThawDelegatedNftOperation = Operation<typeof Key, ThawDelegatedNftInput, ThawDelegatedNftOutput>;
export declare type ThawDelegatedNftInput = {
    mintAddress: PublicKey;
    delegateAuthority: Signer;
    tokenOwner?: PublicKey;
    tokenAddress?: PublicKey;
    tokenProgram?: PublicKey;
    confirmOptions?: ConfirmOptions;
};
export declare type ThawDelegatedNftOutput = {
    response: SendAndConfirmTransactionResponse;
};
export declare const thawDelegatedNftOperationHandler: OperationHandler<ThawDelegatedNftOperation>;
export declare type ThawDelegatedNftBuilderParams = Omit<ThawDelegatedNftInput, 'confirmOptions'> & {
    instructionKey?: string;
};
export declare const thawDelegatedNftBuilder: (metaplex: Metaplex, params: ThawDelegatedNftBuilderParams) => TransactionBuilder;
export {};
