import { Metaplex } from '../../Metaplex';
import { CreatorInput, Operation, OperationHandler, Signer } from '../../types';
import { Option, TransactionBuilder } from '../../utils';
import { Uses } from '@metaplex-foundation/mpl-token-metadata';
import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
import { Nft } from './Nft';
import { Sft } from './Sft';
declare const Key: "UpdateNftOperation";
export declare const updateNftOperation: import("../../types").OperationConstructor<UpdateNftOperation, "UpdateNftOperation", UpdateNftInput, UpdateNftOutput>;
export declare type UpdateNftOperation = Operation<typeof Key, UpdateNftInput, UpdateNftOutput>;
export interface UpdateNftInput {
    nftOrSft: Nft | Sft;
    updateAuthority?: Signer;
    newUpdateAuthority?: PublicKey;
    name?: string;
    symbol?: string;
    uri?: string;
    sellerFeeBasisPoints?: number;
    creators?: CreatorInput[];
    primarySaleHappened?: boolean;
    isMutable?: boolean;
    uses?: Option<Uses>;
    collection?: Option<PublicKey>;
    collectionAuthority?: Option<Signer>;
    collectionAuthorityIsDelegated?: boolean;
    collectionIsSized?: boolean;
    oldCollectionIsSized?: boolean;
    confirmOptions?: ConfirmOptions;
}
export interface UpdateNftOutput {
    response: SendAndConfirmTransactionResponse;
}
export declare const updateNftOperationHandler: OperationHandler<UpdateNftOperation>;
export declare type UpdateNftBuilderParams = Omit<UpdateNftInput, 'confirmOptions'> & {
    updateMetadataInstructionKey?: string;
};
export declare const updateNftBuilder: (metaplex: Metaplex, params: UpdateNftBuilderParams) => TransactionBuilder;
export {};
