import { Metaplex } from '../../Metaplex';
import { Operation, OperationHandler, Signer } from '../../types';
import { TransactionBuilder } from '../../utils';
import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
declare const Key: "UseNftOperation";
export declare const useNftOperation: import("../../types").OperationConstructor<UseNftOperation, "UseNftOperation", UseNftInput, UseNftOutput>;
export declare type UseNftOperation = Operation<typeof Key, UseNftInput, UseNftOutput>;
export interface UseNftInput {
    mintAddress: PublicKey;
    numberOfUses?: number;
    owner?: PublicKey | Signer;
    ownerTokenAccount?: PublicKey;
    useAuthority?: Signer;
    confirmOptions?: ConfirmOptions;
}
export interface UseNftOutput {
    response: SendAndConfirmTransactionResponse;
}
export declare const useNftOperationHandler: OperationHandler<UseNftOperation>;
export declare type UseNftBuilderParams = Omit<UseNftInput, 'confirmOptions'> & {
    instructionKey?: string;
};
export declare const useNftBuilder: (metaplex: Metaplex, params: UseNftBuilderParams) => TransactionBuilder;
export {};
