import { Metaplex } from '../../Metaplex';
import { KeypairSigner, Operation, OperationHandler, Signer, SplTokenAmount } from '../../types';
import { TransactionBuilder } from '../../utils';
import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
declare const Key: "ApproveTokenDelegateAuthorityOperation";
export declare const approveTokenDelegateAuthorityOperation: import("../../types").OperationConstructor<ApproveTokenDelegateAuthorityOperation, "ApproveTokenDelegateAuthorityOperation", ApproveTokenDelegateAuthorityInput, ApproveTokenDelegateAuthorityOutput>;
export declare type ApproveTokenDelegateAuthorityOperation = Operation<typeof Key, ApproveTokenDelegateAuthorityInput, ApproveTokenDelegateAuthorityOutput>;
export interface ApproveTokenDelegateAuthorityInput {
    mintAddress: PublicKey;
    delegateAuthority: PublicKey;
    amount?: SplTokenAmount;
    owner?: Signer;
    tokenAddress?: PublicKey;
    multiSigners?: KeypairSigner[];
    tokenProgram?: PublicKey;
    confirmOptions?: ConfirmOptions;
}
export interface ApproveTokenDelegateAuthorityOutput {
    response: SendAndConfirmTransactionResponse;
}
export declare const approveTokenDelegateAuthorityOperationHandler: OperationHandler<ApproveTokenDelegateAuthorityOperation>;
export declare type ApproveTokenDelegateAuthorityBuilderParams = Omit<ApproveTokenDelegateAuthorityInput, 'confirmOptions'> & {
    instructionKey?: string;
};
export declare const approveTokenDelegateAuthorityBuilder: (metaplex: Metaplex, params: ApproveTokenDelegateAuthorityBuilderParams) => TransactionBuilder;
export {};
