import type { Metaplex } from '../../Metaplex';
import { KeypairSigner, Operation, OperationHandler, Signer } from '../../types';
import { TransactionBuilder } from '../../utils';
import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
declare const Key: "FreezeTokensOperation";
export declare const freezeTokensOperation: import("../../types").OperationConstructor<FreezeTokensOperation, "FreezeTokensOperation", FreezeTokensInput, FreezeTokensOutput>;
export declare type FreezeTokensOperation = Operation<typeof Key, FreezeTokensInput, FreezeTokensOutput>;
export declare type FreezeTokensInput = {
    mintAddress: PublicKey;
    freezeAuthority: PublicKey | Signer;
    tokenOwner?: PublicKey;
    tokenAddress?: PublicKey;
    multiSigners?: KeypairSigner[];
    tokenProgram?: PublicKey;
    confirmOptions?: ConfirmOptions;
};
export declare type FreezeTokensOutput = {
    response: SendAndConfirmTransactionResponse;
};
export declare const freezeTokensOperationHandler: OperationHandler<FreezeTokensOperation>;
export declare type FreezeTokensBuilderParams = Omit<FreezeTokensInput, 'confirmOptions'> & {
    instructionKey?: string;
};
export declare const freezeTokensBuilder: (metaplex: Metaplex, params: FreezeTokensBuilderParams) => TransactionBuilder;
export {};
