import type { Metaplex } from '../../Metaplex';
import { KeypairSigner, Operation, OperationHandler, Signer } from '../../types';
import { TransactionBuilder } from '../../utils';
import { ConfirmOptions, PublicKey } from '@solana/web3.js';
import { SendAndConfirmTransactionResponse } from '../rpcModule';
declare const Key: "ThawTokensOperation";
export declare const thawTokensOperation: import("../../types").OperationConstructor<ThawTokensOperation, "ThawTokensOperation", ThawTokensInput, ThawTokensOutput>;
export declare type ThawTokensOperation = Operation<typeof Key, ThawTokensInput, ThawTokensOutput>;
export declare type ThawTokensInput = {
    mintAddress: PublicKey;
    freezeAuthority: PublicKey | Signer;
    tokenOwner?: PublicKey;
    tokenAddress?: PublicKey;
    multiSigners?: KeypairSigner[];
    tokenProgram?: PublicKey;
    confirmOptions?: ConfirmOptions;
};
export declare type ThawTokensOutput = {
    response: SendAndConfirmTransactionResponse;
};
export declare const thawTokensOperationHandler: OperationHandler<ThawTokensOperation>;
export declare type ThawTokensBuilderParams = Omit<ThawTokensInput, 'confirmOptions'> & {
    instructionKey?: string;
};
export declare const thawTokensBuilder: (metaplex: Metaplex, params: ThawTokensBuilderParams) => TransactionBuilder;
export {};
